import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';

import { MenuItems } from '@components/shared';
import { JumpsComponent } from './jumps.component';

describe('JumpsComponent', () => {
  let component: JumpsComponent;
  let fixture: ComponentFixture<JumpsComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [JumpsComponent],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        provideAnimations(),
        MenuItems,
      ],
    });
    fixture = TestBed.createComponent(JumpsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
